from django.db import models

class Artist(models.Model):
    artist_name = models.CharField(max_length=50)
    monthly_listeners = models.IntegerField()
   
class Album(models.Model):
    album_name = models.CharField(max_length=50)
    artist = models.ForeignKey(Artist, on_delete=models.CASCADE)
    description = models.CharField(max_length=200)
    release_date = models.CharField(max_length=50)
  
class Song(models.Model):
    song_title = models.CharField(max_length=50)
    artist = models.ForeignKey(Artist, on_delete=models.CASCADE)
    album = models.CharField(max_length=50)
    song_length = models.IntegerField()